- Qt 6.4
- Qt 3D
- C++ Classes
- Qt3DCore
- QSkeleton
- Qt 6.4.2 Reference Documentation

# QSkeleton Class

class Qt3DCore::QSkeleton

Holds the data for a skeleton to be used with skinned meshes. More...

Header: | #include <QSkeleton>
CMake: | find_package(Qt6 REQUIRED COMPONENTS 3dcore) target_link_libraries(mytarget PRIVATE Qt6::3dcore)
qmake: | QT += 3dcore
Since: | Qt 5.10
Instantiated By: | Skeleton
Inherits: | Qt3DCore::QAbstractSkeleton

- List of all members, including inherited members

## Properties

- rootJoint : Qt3DCore::QJoint*

## Public Functions

| QSkeleton(Qt3DCore::QNode *parent = nullptr)
Qt3DCore::QJoint * | rootJoint() const

## Public Slots

void | setRootJoint(Qt3DCore::QJoint *rootJoint)

## Signals

void | rootJointChanged(Qt3DCore::QJoint *rootJoint)

## Detailed Description

Use QSkeleton if you wish to manually create the joints of a skeleton for use with skinned meshes. This is mainly of use to people creating editors, tooling, or dynamic skeletons. It is more common that a Qt 3D application would simply consume an existing skeleton and skinned mesh as created in a digital content creation tool such as Blender. For this use case, please see QSkeletonLoader.

## Property Documentation

### rootJoint : Qt3DCore::QJoint*

Holds the root joint of the hierarchy of joints forming the skeleton.

Access functions:

Qt3DCore::QJoint * | rootJoint() const
void | setRootJoint(Qt3DCore::QJoint *rootJoint)

Notifier signal:

void | rootJointChanged(Qt3DCore::QJoint *rootJoint)

## Member Function Documentation

### QSkeleton::QSkeleton(Qt3DCore::QNode *parent = nullptr)

Constructs a new QSkeleton with parent.